Obter proposta MEI por ID
curl --request GET \
--url https://services.pref.rio/go/api/v1/oportunidades-mei/{id}/propostas/{propostaId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.pref.rio/go/api/v1/oportunidades-mei/{id}/propostas/{propostaId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.pref.rio/go/api/v1/oportunidades-mei/{id}/propostas/{propostaId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://services.pref.rio/go/api/v1/oportunidades-mei/{id}/propostas/{propostaId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://services.pref.rio/go/api/v1/oportunidades-mei/{id}/propostas/{propostaId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://services.pref.rio/go/api/v1/oportunidades-mei/{id}/propostas/{propostaId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://services.pref.rio/go/api/v1/oportunidades-mei/{id}/propostas/{propostaId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"aceita_custos_integrais": true,
"celular_pessoa_fisica": "21987654321",
"created_at": "2024-01-01T10:00:00Z",
"deleted_at": "2024-12-31T23:59:59Z",
"email_pessoa_fisica": "joao@example.com",
"id": "550e8400-e29b-41d4-a716-446655440000",
"mei_empresa_id": "12.345.678/0001-90",
"oportunidade_mei_id": 1,
"prazo_execucao": "30 dias",
"status_admin": "active",
"status_cidadao": "submitted",
"updated_at": "2024-01-01T10:00:00Z",
"valor_proposta": 1500.5
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}propostas-mei
Obter proposta MEI por ID
Retorna uma proposta MEI pelo seu ID. Requer que o usuário seja dono do CNPJ ou tenha permissões de leitura.
GET
/
api
/
v1
/
oportunidades-mei
/
{id}
/
propostas
/
{propostaId}
Obter proposta MEI por ID
curl --request GET \
--url https://services.pref.rio/go/api/v1/oportunidades-mei/{id}/propostas/{propostaId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.pref.rio/go/api/v1/oportunidades-mei/{id}/propostas/{propostaId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.pref.rio/go/api/v1/oportunidades-mei/{id}/propostas/{propostaId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://services.pref.rio/go/api/v1/oportunidades-mei/{id}/propostas/{propostaId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://services.pref.rio/go/api/v1/oportunidades-mei/{id}/propostas/{propostaId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://services.pref.rio/go/api/v1/oportunidades-mei/{id}/propostas/{propostaId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://services.pref.rio/go/api/v1/oportunidades-mei/{id}/propostas/{propostaId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"aceita_custos_integrais": true,
"celular_pessoa_fisica": "21987654321",
"created_at": "2024-01-01T10:00:00Z",
"deleted_at": "2024-12-31T23:59:59Z",
"email_pessoa_fisica": "joao@example.com",
"id": "550e8400-e29b-41d4-a716-446655440000",
"mei_empresa_id": "12.345.678/0001-90",
"oportunidade_mei_id": 1,
"prazo_execucao": "30 dias",
"status_admin": "active",
"status_cidadao": "submitted",
"updated_at": "2024-01-01T10:00:00Z",
"valor_proposta": 1500.5
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Response
OK
Example:
true
Example:
"21987654321"
Example:
"2024-01-01T10:00:00Z"
Example:
"2024-12-31T23:59:59Z"
Computed fields from RMI API (not persisted to database)
Example:
"joao@example.com"
Example:
"550e8400-e29b-41d4-a716-446655440000"
Example:
"12.345.678/0001-90"
Example:
1
Example:
"30 dias"
Available options:
draft, active, expired Example:
"active"
Available options:
submitted, approved, rejected Example:
"submitted"
Example:
"2024-01-01T10:00:00Z"
Example:
1500.5
